<?php
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (isset($dpk))
{
    $pk = $dpk;
}
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
	$produtoDescricao = new Produtodescricao();
} else
{
	$produtoDescricao = $controlProduto->pegarUmProdutoDescricao($pk);
}
if ($acao != 'excluir')
{
    $produtoDescricao->lang = $lang;
    $produtoDescricao->setProdutoid($produtoid);
    $produtoDescricao->sNome($dNome);
    $produtoDescricao->sValor(stripslashes($dValor));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlProduto->salvarProdutoDescricao($produtoDescricao);
                    break;
            case 'inserir':
                    $retorno = $controlProduto->salvarProdutoDescricao($produtoDescricao);
                    $acao = 'alterar';
                    $produtoDescricao->find(true);
                    $pk = $produtoDescricao->getProdutodescricaoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#divDescricao\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlProduto->excluirProdutoDescricao($produtoDescricao);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#descricaoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>